Loading...
Searching...
No Matches
caf::io::network::datagram_handler_impl< ProtocolPolicy > Class Template Reference

A concrete datagram_handler with a technology-dependent policy. More...

`#include <datagram_handler_impl.hpp>`

## Public Member Functions

template<class... Ts>
| datagram_handler_impl (default_multiplexer &mpx, native_socket sockfd, Ts &&... xs)
void | handle_event (io::network::operation op) override
| Returns true once the requested operation is done, i.e., to signalize the multiplexer to remove this handler.

## Detailed Description

template<class ProtocolPolicy>
class caf::io::network::datagram_handler_impl< ProtocolPolicy >

A concrete datagram_handler with a technology-dependent policy.

## Member Function Documentation

## handle_event()

template<class ProtocolPolicy>

void caf::io::network::datagram_handler_impl< ProtocolPolicy >::handle_event | ( | io::network::operation | op | ) |

override virtual

Returns true once the requested operation is done, i.e., to signalize the multiplexer to remove this handler.

The handler remains in the event loop as long as it returns false.

Implements caf::io::network::event_handler.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_io/caf/io/network/datagram_handler_impl.hpp